Subject: Re: [PATCH] powerpc pseries eeh: Convert to kthread API

From: Benjamin Herrenschmidt <[email-masked]>
Date: Tue, 24 Apr 2007 15:58:22 +1000

> Since we need to have some way to track them having an explicit data
> structure that the callers manage seems to make sense.

Oh sure, I wasn't arguing against that at all...

It might be handy to have a release() callback (optional) that gets
called after the kthread stops/exits, once we know the data structure
isn't going to be used anymore (if practical to implement, depends on
your approach).

Ben.